org.eclipse.emf.cdo.expressions

## Interface Invocation

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Expression, Notifier
  All Known Subinterfaces:
    FunctionInvocation, MemberInvocation
  All Known Implementing Classes:
    FunctionInvocationImpl, InvocationImpl, MemberInvocationImpl

      public interface Invocation
      extends Expression

  A representation of the model object 'Invocation'.

  The following features are supported:

  - `Arguments`
  - `Name`
  See Also:
    `ExpressionsPackage.getInvocation()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<Expression>` | `getArguments()` Returns the value of the 'Arguments' containment reference list.
    `Expression` | `getName()` Returns the value of the 'Name' containment reference.
    `void` | `setName(Expression value)` Sets the value of the '`Name`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getArguments

          EList<Expression> getArguments()

      Returns the value of the 'Arguments' containment reference list. The list contents are of type `Expression`.

      If the meaning of the 'Arguments' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Arguments' containment reference list.
      See Also:
        `ExpressionsPackage.getInvocation_Arguments()`
      Generated
      Model
        containment="true"

    - #### getName

          Expression getName()

      Returns the value of the 'Name' containment reference.

      If the meaning of the 'Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' containment reference.
      See Also:
        `setName(Expression)`, `ExpressionsPackage.getInvocation_Name()`
      Generated
      Model
        containment="true" required="true"

    - #### setName

          void setName(Expression value)

      Sets the value of the '`Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Name' containment reference.
      See Also:
        `getName()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html